XmDirectionToStringDirection(3)

NAME
XmDirectionToStringDirection — A function that converts an XmDirection value to an XmStringDirection value

SYNOPSIS

#include <Xm/Xm.h>
XmStringDirection XmDirectionToStringDirection (dir)
        XmDirection     dir;
(void)

DESCRIPTION

XmDirectionToStringDirection converts the specified XmDirection direction value to its equivalent XmStringDirection value. Basically, if the XmDirection value has a horizontal direction specification, that horizontal element is used; otherwise, the XmStringDirection value is interpreted as XmSTRING_DIRECTION_L_TO_R. This function provides backward compatibility with the XmStringDirection data type.

Note that the Motif toolkit also contains an XmStringDirectionToDirection routine to convert an XmStringDirection value to its XmDirection equivalent.

dir Specifies the XmDirection value to be converted.

RETURN

Returns the following XmStringDirection values:

XmSTRING_DIRECTION_R_TO_L
    If the dir argument has a right to left horizontal direction value in it, for example XmRIGHT_TO_LEFT_TOP_TO_BOTTOM.

XmSTRING_DIRECTION_L_TO_R
    If the dir argument has a left to right horizontal direction in it, for example XmLEFT_TO_RIGHT_TOP_TO_BOTTOM, or if the horizontal direction value in the dir argument is ambiguous, such as in the XmTOP_TO_BOTTOM value.

XmSTRING_DIRECTION_DEFAULT
    If there was no horizontal direction specified.

RELATED INFORMATION

XmDirection(3), XmDirectionMatch(3), XmDirectionMatchPartial(3), XmDirectionToStringDirection(3), XmString(3), XmStringDirection(3), and XmStringDirectionToDirection(3),